%define modname inotify
%define soname %{modname}.so
%define inifile A82_%{modname}.ini

Summary:	Provides inotify functions for PHP
Name:		php-%{modname}
Version:	0.1.6
Release:	%mkrel 6
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/inotify/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:  php-devel >= 3:5.2.0

%description
The inotify extension allows to use inotify functions in a PHP script.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv -f ../package*.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README inotify.php tail.php package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Jan 24 2014 pterjan <pterjan> 0.1.6-6.mga4
+ Revision: 567671
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.1.6-5.mga4
+ Revision: 527861
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.1.6-4.mga4
+ Revision: 442673
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.1.6-3.mga3
+ Revision: 393304
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.6-2.mga3
+ Revision: 375811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 0.1.6-1.mga3
+ Revision: 275585
- upgrade to 0.1.6

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.4-12.mga2
+ Revision: 223907
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.1.4-11.mga2
+ Revision: 185319
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.1.4-10.mga1
+ Revision: 48005
- removed buildroot definition from .spec
- imported package php-inotify


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-10mdv2011.0
+ Revision: 629816
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-9mdv2011.0
+ Revision: 628137
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-8mdv2011.0
+ Revision: 600501
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-7mdv2011.0
+ Revision: 588839
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-6mdv2010.1
+ Revision: 514564
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-5mdv2010.1
+ Revision: 485398
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-4mdv2010.1
+ Revision: 468180
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-3mdv2010.0
+ Revision: 451284
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1.4-2mdv2010.0
+ Revision: 397542
- Rebuild

* Tue May 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.4-1mdv2010.0
+ Revision: 377658
- 0.1.4 (fixes build with php-5.3.x)
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-5mdv2009.1
+ Revision: 346508
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-4mdv2009.1
+ Revision: 341770
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-3mdv2009.1
+ Revision: 321811
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdv2009.1
+ Revision: 310280
- rebuilt against php-5.2.7

* Thu Nov 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdv2009.1
+ Revision: 300262
- 0.1.3

* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-1mdv2009.1
+ Revision: 297808
- import php-inotify


* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-1mdv2009.0
- initial Mandriva package
